Get all dashboards
curl --request GET \
--url https://api.vantage.sh/v2/dashboards \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/dashboards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/dashboards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"self": "https://api.vantage.sh/v2/dashboards",
"first": "https://api.vantage.sh/v2/dashboards?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/dashboards?page=1",
"prev": null
},
"dashboards": [
{
"token": "dshbrd_13d78294a06f0f84",
"title": "Executive Overview",
"widget_tokens": [
"rprt_7c3cb814dfb6d881"
],
"widgets": [
{
"widgetable_token": "rprt_7c3cb814dfb6d881",
"title": "Cost Report",
"settings": {
"display_type": "chart"
}
}
],
"saved_filter_tokens": [
"svd_fltr_3c6f5eb635cf88de"
],
"date_bin": null,
"date_interval": null,
"start_date": null,
"end_date": null,
"created_at": "2024-12-17T00:44:48Z",
"updated_at": "2024-12-17T00:44:48Z",
"workspace_token": "wrkspc_ea1a7802e5fe06b3"
}
]
}Dashboards
Get all dashboards
Return all Dashboards.
GET
/
dashboards
Get all dashboards
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The page of results to return.
The amount of results to return. The maximum is 1000.
⌘I